"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Diagnose = void 0;
const bc_minecraft_bedrock_project_1 = require("bc-minecraft-bedrock-project");
const Animation_Controllers_1 = require("../../Minecraft/Animation Controllers");
const Json_1 = require("../../Json/Json");
const diagnostics_1 = require("../../Molang/diagnostics");
const commands_1 = require("../Mcfunction/commands");
/**Diagnoses the given document as an animation controller
 * @param doc The text document to diagnose
 * @param diagnoser The diagnoser builder to receive the errors*/
function Diagnose(doc, diagnoser) {
    //Check molang
    const text = doc.getText();
    (0, diagnostics_1.diagnose_molang)(text, "animation_controller", diagnoser);
    const controllers = Json_1.Json.LoadReport(doc, diagnoser);
    if (!bc_minecraft_bedrock_project_1.Internal.BehaviorPack.AnimationControllers.is(controllers))
        return;
    //Transition check
    (0, Animation_Controllers_1.general_animation_controllers)(controllers, diagnoser);
    //foreach animation,
    bc_minecraft_bedrock_project_1.Map.forEach(controllers.animation_controllers, (controller, id) => {
        bc_minecraft_bedrock_project_1.Map.forEach(controller.states, (state, state_id) => {
            var _a, _b;
            (_a = state.on_entry) === null || _a === void 0 ? void 0 : _a.forEach((item) => (0, commands_1.json_commandscheck)(item, doc, diagnoser));
            (_b = state.on_exit) === null || _b === void 0 ? void 0 : _b.forEach((item) => (0, commands_1.json_commandscheck)(item, doc, diagnoser));
        });
    });
}
exports.Diagnose = Diagnose;
//# sourceMappingURL=entry.js.map