"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.has_animation = exports.animation_diagnose_implementation = void 0;
const Severity_1 = require("../../../Types/DiagnosticsBuilder/Severity");
const diagnostics_1 = require("../../Molang/diagnostics");
/**
 *
 * @param id
 * @param data
 * @param diagnoser
 */
function animation_diagnose_implementation(anim_id, user, ownerType, diagnoser) {
    if (has_animation(anim_id, diagnoser)) {
        //Project has animation
        const anim = diagnoser.context.getCache().BehaviorPacks.animations.get(anim_id);
        if (!anim)
            return;
        (0, diagnostics_1.diagnose_molang_implementation)(anim, user, ownerType, diagnoser);
    }
}
exports.animation_diagnose_implementation = animation_diagnose_implementation;
/**
 *
 * @param id
 * @param diagnoser
 * @returns
 */
function has_animation(id, diagnoser) {
    const cache = diagnoser.context.getCache();
    //Project has render controller
    if (cache.BehaviorPacks.animations.has(id))
        return true;
    //Nothing then report error
    diagnoser.Add(`"${id}"`, `Cannot find behaviorpack animation: ${id}`, Severity_1.DiagnosticSeverity.error, "behaviorpack.animation.missing");
    return false;
}
exports.has_animation = has_animation;
//# sourceMappingURL=diagnostics.js.map