"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasGroup = exports.getUsedGroups = exports.getUsedComponents = void 0;
const bc_minecraft_bedrock_project_1 = require("bc-minecraft-bedrock-project");
function getUsedComponents(entity) {
    const out = [];
    if (entity["minecraft:entity"].components) {
        Object.getOwnPropertyNames(entity["minecraft:entity"].components).forEach((c) => {
            if (!out.includes(c))
                out.push(c);
        });
    }
    const groups = entity["minecraft:entity"].component_groups;
    if (groups) {
        bc_minecraft_bedrock_project_1.Map.forEach(groups, (group) => {
            Object.getOwnPropertyNames(group).forEach((c) => {
                if (!out.includes(c))
                    out.push(c);
            });
        });
    }
    return out;
}
exports.getUsedComponents = getUsedComponents;
function getUsedGroups(entity) {
    const groups = entity["minecraft:entity"].component_groups;
    if (groups) {
        return Object.getOwnPropertyNames(groups);
    }
    return [];
}
exports.getUsedGroups = getUsedGroups;
/**
 *
 * @param entity
 * @param group
 * @returns
 */
function hasGroup(entity, group) {
    if (entity["minecraft:entity"].component_groups) {
        if (entity["minecraft:entity"].component_groups[group]) {
            return true;
        }
    }
    return false;
}
exports.hasGroup = hasGroup;
//# sourceMappingURL=Entity.js.map