"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.behaviorpack_entity_check_event = exports.behaviorpack_entity_check_events = void 0;
const bc_minecraft_bedrock_project_1 = require("bc-minecraft-bedrock-project");
const main_1 = require("../../../../main");
function behaviorpack_entity_check_events(events, diagnoser, component_groups) {
    if (Array.isArray(events)) {
        events.forEach((event) => behaviorpack_entity_check_event(event, "", diagnoser, component_groups));
    }
    else {
        bc_minecraft_bedrock_project_1.Map.forEach(events, (event, key) => behaviorpack_entity_check_event(event, key, diagnoser, component_groups));
    }
}
exports.behaviorpack_entity_check_events = behaviorpack_entity_check_events;
/**
 *
 * @param event
 * @param diagnoser
 * @param component_groups
 */
function behaviorpack_entity_check_event(event, event_id, diagnoser, component_groups) {
    var _a, _b, _c, _d;
    has_groups(diagnoser, event_id, (_a = event.add) === null || _a === void 0 ? void 0 : _a.component_groups, component_groups);
    has_groups(diagnoser, event_id, (_b = event.remove) === null || _b === void 0 ? void 0 : _b.component_groups, component_groups);
    (_c = event.randomize) === null || _c === void 0 ? void 0 : _c.forEach((item) => {
        behaviorpack_entity_check_event(item, event_id, diagnoser, component_groups);
    });
    (_d = event.sequence) === null || _d === void 0 ? void 0 : _d.forEach((item) => {
        behaviorpack_entity_check_event(item, event_id, diagnoser, component_groups);
    });
}
exports.behaviorpack_entity_check_event = behaviorpack_entity_check_event;
function has_groups(diagnoser, id, groups, component_groups) {
    if (groups === undefined)
        return;
    for (let I = 0; I < groups.length; I++) {
        const group = groups[I];
        if (component_groups) {
            //If there is an item, continue
            if (component_groups[group] !== undefined)
                continue;
        }
        diagnoser.Add(`events/${id}/${group}`, `Event is calling component group: ${group}, but the component group was not found`, main_1.DiagnosticSeverity.warning, "behaviorpack.entity.component_group.missing");
    }
}
//# sourceMappingURL=events.js.map