"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.behaviorpack_item_diagnose = void 0;
const bc_minecraft_bedrock_vanilla_data_1 = require("bc-minecraft-bedrock-vanilla-data");
const include_1 = require("../../../Types/DiagnosticsBuilder/include");
const Definitions_1 = require("../../Definitions");
function behaviorpack_item_diagnose(value, diagnoser) {
    let id = value.text;
    //Defined in McProject
    if ((0, Definitions_1.check_definition_value)(diagnoser.project.definitions.item, id, diagnoser))
        return true;
    const data = diagnoser.context.getCache();
    //Project has item
    if (data.BehaviorPacks.items.has(id))
        return true;
    //Missing namespace?
    if (!id.includes(":")) {
        //retry
        id = "minecraft:" + id;
        //Defined in McProject
        if ((0, Definitions_1.check_definition_value)(diagnoser.project.definitions.item, id, diagnoser))
            return true;
        //Project has block
        if (data.hasItem(id))
            return true;
        //Vanilla has block
        if (bc_minecraft_bedrock_vanilla_data_1.MinecraftData.BehaviorPack.hasItem(id, (0, Definitions_1.education_enabled)(diagnoser)))
            return true;
    }
    //Nothing then report error
    diagnoser.Add(value, `Cannot find behaviorpack item definition: ${id}`, include_1.DiagnosticSeverity.error, "behaviorpack.item.missing");
    return false;
}
exports.behaviorpack_item_diagnose = behaviorpack_item_diagnose;
//# sourceMappingURL=diagnose.js.map