"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.behaviorpack_loot_table_diagnose = void 0;
const include_1 = require("../../../Types/DiagnosticsBuilder/include");
const Definitions_1 = require("../../Definitions");
function behaviorpack_loot_table_diagnose(value, diagnoser) {
    const id = value.text;
    //Defined in McProject
    if ((0, Definitions_1.check_definition_value)(diagnoser.project.definitions.loot_table, id, diagnoser))
        return true;
    const data = diagnoser.context.getCache();
    //Project has loot_table
    if (data.BehaviorPacks.loot_tables.has(id))
        return true;
    //Nothing then report error
    diagnoser.Add(value, `Cannot find behaviorpack loot_table definition: ${id}`, include_1.DiagnosticSeverity.error, "behaviorpack.loot_table.missing");
    return false;
}
exports.behaviorpack_loot_table_diagnose = behaviorpack_loot_table_diagnose;
//# sourceMappingURL=diagnose.js.map