"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Diagnose = void 0;
const main_1 = require("../../../../main");
const commands_1 = require("./commands");
/**Diagnoses the given document as an mcfunction
 * @param doc The text document to diagnose
 * @param diagnoser The diagnoser builder to receive the errors*/
function Diagnose(doc, diagnoser) {
    if (doc.getText().trim() === "") {
        diagnoser.Add(0, "Empty mcfunction found, minecraft will not load this function", main_1.DiagnosticSeverity.error, "mcfunction.empty");
    }
    (0, commands_1.mcfunction_commandscheck)(doc, diagnoser);
}
exports.Diagnose = Diagnose;
//# sourceMappingURL=entry.js.map