"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.behaviorpack_structure_diagnose = void 0;
const include_1 = require("../../../Types/DiagnosticsBuilder/include");
const Definitions_1 = require("../../Definitions");
function behaviorpack_structure_diagnose(value, diagnoser) {
    const id = value.text;
    //Defined in McProject
    if ((0, Definitions_1.check_definition_value)(diagnoser.project.definitions.structure, id, diagnoser))
        return true;
    const data = diagnoser.context.getCache();
    //Project has structure
    if (data.BehaviorPacks.structures.has(id))
        return true;
    if (data.General.structures.has(id))
        return true;
    //Nothing then report error
    diagnoser.Add(value, `Cannot find behaviorpack mcstructure: ${id}`, include_1.DiagnosticSeverity.error, "behaviorpack.mcstructure.missing");
    return false;
}
exports.behaviorpack_structure_diagnose = behaviorpack_structure_diagnose;
//# sourceMappingURL=diagnose.js.map