"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.format_diagnose_path = void 0;
const include_1 = require("../../Types/DiagnosticsBuilder/include");
/**Max relative length form pack / worldtemplate */
const LengthFromRoot = 70;
const SegmentLength = 60;
const PackNameLength = 10;
function format_diagnose_path(pack, uri, diagnoser) {
    const root = pack.folder;
    const relpath = uri.replace(pack.folder, "");
    if (relpath.length > LengthFromRoot) {
        diagnoser.Add(0, `Path is too long: '${relpath}', should be maximum of: ${LengthFromRoot} but is: ${relpath.length} characters long`, include_1.DiagnosticSeverity.error, "minecraft.format.path.length");
    }
    //Check each segment of the path
    relpath.split(/[\\\/]/gim).forEach(seg => {
        if (seg.length > SegmentLength) {
            diagnoser.Add(0, `Segment of path is too long: '${seg}' in ${relpath}, should be maximum of: ${SegmentLength} but is: ${seg.length} characters long`, include_1.DiagnosticSeverity.error, "minecraft.format.path.length");
        }
    });
    //TODO folder name check
}
exports.format_diagnose_path = format_diagnose_path;
//# sourceMappingURL=diagnose.js.map