"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.general_range_float_diagnose = exports.general_range_integer_diagnose = void 0;
const include_1 = require("../../../Lib/Types/DiagnosticsBuilder/include");
const bc_minecraft_bedrock_types_1 = require("bc-minecraft-bedrock-types");
const Integer_1 = require("./Integer");
const Float_1 = require("./Float");
function general_range_integer_diagnose(value, diagnoser) {
    let upper = Number.MAX_SAFE_INTEGER;
    let lower = Number.MIN_SAFE_INTEGER;
    const index = value.text.indexOf('..');
    //has ..
    if (index >= 0) {
        //Grab texts
        let lowerText = value.text.slice(0, index);
        let upperText = value.text.slice(index + 2);
        //To continue or not
        let co = true;
        //If the text is filled, diagnose it as integer. if that returns false it has an error, then mark 'co'ntinue as false
        if (lowerText !== "" && !(0, Integer_1.general_integer_diagnose)(bc_minecraft_bedrock_types_1.Types.OffsetWord.create(lowerText, value.offset), diagnoser))
            co = false;
        if (upperText !== "" && !(0, Integer_1.general_integer_diagnose)(bc_minecraft_bedrock_types_1.Types.OffsetWord.create(upperText, value.offset + index + 2), diagnoser))
            co = false;
        //Return if marked to not continue
        if (!co)
            return;
        //Parse values
        if (lowerText !== "")
            lower = Number.parseInt(lowerText);
        if (upperText !== "")
            upper = Number.parseInt(upperText);
    }
    else {
        //Just an integer
        (0, Integer_1.general_integer_diagnose)(value, diagnoser);
        return;
    }
    //Check if the lowest value is not higher then lower
    if (lower > upper) {
        diagnoser.Add(value, "Lower range was greater than the high range", include_1.DiagnosticSeverity.error, "general.range.integer.invalid");
    }
}
exports.general_range_integer_diagnose = general_range_integer_diagnose;
function general_range_float_diagnose(value, diagnoser) {
    let upper = Number.MAX_VALUE;
    let lower = Number.MIN_VALUE;
    const index = value.text.indexOf('..');
    //has ..
    if (index >= 0) {
        //Grab texts
        let lowerText = value.text.slice(0, index);
        let upperText = value.text.slice(index + 2);
        //To continue or not
        let co = true;
        //If the text is filled, diagnose it as integer. if that returns false it has an error, then mark 'co'ntinue as false
        if (lowerText !== "" && !(0, Float_1.general_float_diagnose)(bc_minecraft_bedrock_types_1.Types.OffsetWord.create(lowerText, value.offset), diagnoser))
            co = false;
        if (upperText !== "" && !(0, Float_1.general_float_diagnose)(bc_minecraft_bedrock_types_1.Types.OffsetWord.create(upperText, value.offset + index + 2), diagnoser))
            co = false;
        //Return if marked to not continue
        if (!co)
            return;
        //Parse values
        if (lowerText !== "")
            lower = Number.parseFloat(lowerText);
        if (upperText !== "")
            upper = Number.parseFloat(upperText);
    }
    else {
        //Just an integer
        (0, Float_1.general_float_diagnose)(value, diagnoser);
        return;
    }
    //Check if the lowest value is not higher then lower
    if (lower > upper) {
        diagnoser.Add(value, "Lower range was greater than the high range", include_1.DiagnosticSeverity.error, "general.range.float.invalid");
    }
}
exports.general_range_float_diagnose = general_range_float_diagnose;
//# sourceMappingURL=Range.js.map