"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Json = void 0;
const jsonc_1 = require("jsonc");
const Severity_1 = require("../../Types/DiagnosticsBuilder/Severity");
const Errors_1 = require("./Errors");
var Json;
(function (Json) {
    /**Loads the object and casts it to the specified type, if it fails then undefined is loaded and the error message is send to the diagnoser
     * @param doc The text document to load from
     * @param diagnoser The diagnoser to load from
     * @returns Either the object cast to the specific type, or undefined if failed*/
    function LoadReport(doc, diagnoser) {
        let out = undefined;
        try {
            //get text
            const text = doc.getText();
            //get object
            const temp = jsonc_1.jsonc.parse(text, { stripComments: true });
            //cast object
            out = temp;
        }
        catch (err) {
            (0, Errors_1.Handle_Json_Error)(err, doc, diagnoser);
        }
        return out;
    }
    Json.LoadReport = LoadReport;
    /**
     *
     * @param value
     * @param diagnoser
     * @param type
     * @param code
     * @param checkfn
     * @returns
     */
    function TypeCheck(value, diagnoser, type, code, checkfn) {
        if (checkfn(value)) {
            return true;
        }
        diagnoser.Add(0, "Json cannot be casted to: " + type, Severity_1.DiagnosticSeverity.error, code);
        return false;
    }
    Json.TypeCheck = TypeCheck;
})(Json = exports.Json || (exports.Json = {}));
//# sourceMappingURL=Json.js.map