"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.minecraft_family_diagnose = void 0;
const include_1 = require("../../../Lib/Types/DiagnosticsBuilder/include");
const bc_minecraft_bedrock_project_1 = require("bc-minecraft-bedrock-project");
const Definitions_1 = require("../Definitions");
const bc_minecraft_bedrock_vanilla_data_1 = require("bc-minecraft-bedrock-vanilla-data");
function minecraft_family_diagnose(value, diagnoser) {
    const id = bc_minecraft_bedrock_project_1.Text.UnQuote(value.text);
    //Defined in McProject
    if ((0, Definitions_1.check_definition_value)(diagnoser.project.definitions.family, id, diagnoser))
        return true;
    let out = false;
    const data = diagnoser.context.getCache();
    //Project has defined
    data.BehaviorPacks.entities.forEach(entity => { if (entity.families.includes(id))
        out = true; });
    if (out)
        return true;
    //Vanilla has defined
    if (bc_minecraft_bedrock_vanilla_data_1.MinecraftData.General.Entities.families.includes(id))
        return true;
    //Nothing then report error
    diagnoser.Add(value, `Cannot find family definition: ${id}`, include_1.DiagnosticSeverity.error, "minecraft.family.missing");
    return false;
}
exports.minecraft_family_diagnose = minecraft_family_diagnose;
//# sourceMappingURL=Family.js.map