"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.minecraft_item_diagnose = void 0;
const include_1 = require("../../Types/DiagnosticsBuilder/include");
const Definitions_1 = require("../Definitions");
function minecraft_item_diagnose(value, diagnoser) {
    const id = value.text;
    //Defined in McProject
    if ((0, Definitions_1.check_definition_value)(diagnoser.project.definitions.item, id, diagnoser))
        return true;
    const data = diagnoser.context.getCache();
    //Project has item
    if (data.BehaviorPacks.items.has(id))
        return true;
    //Nothing then report error
    diagnoser.Add(value, `Cannot behaviorpack item: ${id}`, include_1.DiagnosticSeverity.error, "behaviorpack.item.missing");
    return false;
}
exports.minecraft_item_diagnose = minecraft_item_diagnose;
//# sourceMappingURL=Items.js.map