"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.minecraft_manifest_version = exports.minecraft_manifest_required_module = exports.minecraft_manifest_header_diagnose = exports.minecraft_manifest_diagnose = void 0;
const include_1 = require("../../../Lib/Types/DiagnosticsBuilder/include");
function minecraft_manifest_diagnose(m, diagnoser) {
    var _a;
    minecraft_manifest_header_diagnose(m.header, diagnoser);
    (_a = m.modules) === null || _a === void 0 ? void 0 : _a.forEach((m) => {
        minecraft_manifest_version(m.version, diagnoser, "modules/version");
    });
}
exports.minecraft_manifest_diagnose = minecraft_manifest_diagnose;
function minecraft_manifest_header_diagnose(m, diagnoser) {
    //Version check
    minecraft_manifest_version(m.version, diagnoser, "header/version");
}
exports.minecraft_manifest_header_diagnose = minecraft_manifest_header_diagnose;
function minecraft_manifest_required_module(m, diagnoser, required_type) {
    const modules = m.modules;
    if (modules) {
        for (let I = 0; I < modules.length; I++) {
            const module = modules[I];
            if (module.type === required_type)
                return true;
        }
    }
    //No correct module found
    diagnoser.Add("modules", "This manifest is required to have the following module type: " + required_type, include_1.DiagnosticSeverity.error, "minecraft.manifest.module.missing");
    return false;
}
exports.minecraft_manifest_required_module = minecraft_manifest_required_module;
function minecraft_manifest_version(version, diagnoser, path) {
    if (version.length != 3) {
        diagnoser.Add(path, "The version number needs to be an array of 3 items", include_1.DiagnosticSeverity.error, "minecraft.manifest.version.invalid");
    }
    if (version[0] < 1) {
        diagnoser.Add(`${path}/${version[0]}`, "By convention, the version numbering needs to be atleast [1, 0, 0]", include_1.DiagnosticSeverity.warning, "minecraft.manifest.version.minimum");
    }
}
exports.minecraft_manifest_version = minecraft_manifest_version;
//# sourceMappingURL=Manifest.js.map