"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.minecraft_name_diagnose = void 0;
const include_1 = require("../../Types/DiagnosticsBuilder/include");
const bc_minecraft_bedrock_project_1 = require("bc-minecraft-bedrock-project");
const Definitions_1 = require("../Definitions");
function minecraft_name_diagnose(value, diagnoser) {
    const text = value.text;
    const id = bc_minecraft_bedrock_project_1.Text.UnQuote(text);
    //Defined in McProject
    if ((0, Definitions_1.check_definition_value)(diagnoser.project.definitions.name, id, diagnoser))
        return;
    if (text.includes(' '), text.includes('\t')) {
        if (!text.startsWith('"') || !text.endsWith('"'))
            diagnoser.Add(value, "Name includes whitespaces, but hasn't been properly escaped with quotes", include_1.DiagnosticSeverity.error, "minecraft.name.unquoted");
    }
}
exports.minecraft_name_diagnose = minecraft_name_diagnose;
//# sourceMappingURL=Name.js.map