"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.minecraft_objectives_diagnose = void 0;
const include_1 = require("../../../Lib/Types/DiagnosticsBuilder/include");
const Definitions_1 = require("../Definitions");
function minecraft_objectives_diagnose(value, diagnoser) {
    if (diagnoser.project.attributes["diagnostic.objective"] === "false")
        return;
    const id = value.text;
    //Length check
    if (id.length > 16) {
        diagnoser.Add(value, `The objective: ${id} is too long for an objective, it can be a maximum, of 16 characters long`, include_1.DiagnosticSeverity.error, "minecraft.objective.long");
    }
    //Defined in McProject
    if ((0, Definitions_1.check_definition_value)(diagnoser.project.definitions.objective, id, diagnoser))
        return;
    const data = diagnoser.context.getCache();
    //Project has defined
    if (data.General.objectives.has(id))
        return;
    //Nothing then report error
    diagnoser.Add(value, `Cannot find objective definition: ${id}`, include_1.DiagnosticSeverity.error, "minecraft.objective.missing");
}
exports.minecraft_objectives_diagnose = minecraft_objectives_diagnose;
//# sourceMappingURL=Objective.js.map