"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.diagnose_script = void 0;
const bc_minecraft_bedrock_types_1 = require("bc-minecraft-bedrock-types");
const main_1 = require("../../../main");
/**
 *
 * @param builder
 * @param script
 * @param Animations
 * @param Controllers
 * @returns
 */
function diagnose_script(builder, script, Animations, Controllers) {
    if (script === undefined)
        return;
    if (script.animate) {
        const animates = script.animate;
        bc_minecraft_bedrock_types_1.Types.Conditional.forEach(animates, (ref_id, conditional) => has_ref(builder, ref_id, Animations, Controllers));
    }
}
exports.diagnose_script = diagnose_script;
function has_ref(builder, ref_id, Animations, Controllers) {
    if (Animations && Animations[ref_id] !== undefined)
        return;
    if (Controllers && Controllers[ref_id] !== undefined)
        return;
    builder.Add(`scripts/animate/${ref_id}`, "Cannot find animation or controller definition of: " + ref_id, main_1.DiagnosticSeverity.error, "minecraft.script.animate.missing");
}
//# sourceMappingURL=Script.js.map