"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.minecraft_tag_diagnose = void 0;
const include_1 = require("../../../Lib/Types/DiagnosticsBuilder/include");
const Definitions_1 = require("../Definitions");
function minecraft_tag_diagnose(value, diagnoser) {
    if (diagnoser.project.attributes["diagnostic.tag"] === "false")
        return;
    const id = value.text;
    //Defined in McProject
    if ((0, Definitions_1.check_definition_value)(diagnoser.project.definitions.tag, id, diagnoser))
        return;
    const data = diagnoser.context.getCache();
    //Project has defined  
    if (data.General.tags.has(id))
        return;
    //Nothing then report error
    diagnoser.Add(value, `Cannot find tag definition: ${id}`, include_1.DiagnosticSeverity.error, "minecraft.tag.missing");
}
exports.minecraft_tag_diagnose = minecraft_tag_diagnose;
//# sourceMappingURL=Tag.js.map