"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.minecraft_tickingarea_diagnose = void 0;
const include_1 = require("../../../Lib/Types/DiagnosticsBuilder/include");
const Definitions_1 = require("../Definitions");
const bc_minecraft_bedrock_project_1 = require("bc-minecraft-bedrock-project");
function minecraft_tickingarea_diagnose(value, diagnoser) {
    const data = diagnoser.context.getCache();
    const id = bc_minecraft_bedrock_project_1.Text.UnQuote(value.text);
    //Defined in McProject
    if ((0, Definitions_1.check_definition_value)(diagnoser.project.definitions.tickingarea, id, diagnoser))
        return;
    //Project has defined
    if (data.General.tickingAreas.has(id))
        return;
    //Nothing then report error
    diagnoser.Add(value, `Cannot find tickingarea definition: ${id}`, include_1.DiagnosticSeverity.error, "minecraft.tickingarea.missing");
}
exports.minecraft_tickingarea_diagnose = minecraft_tickingarea_diagnose;
//# sourceMappingURL=Tickingarea.js.map