import { Command } from "bc-minecraft-bedrock-command";
import { SelectorAttribute } from 'bc-minecraft-bedrock-types/lib/src/Minecraft/include';
import { DiagnosticsBuilder } from "../../Types/DiagnosticsBuilder/DiagnosticsBuilder";
import { Types } from "bc-minecraft-bedrock-types";
/**Diagnoses the value as a value in the mode: camerashake
 * @param value The value to evualate, needs the offset to report bugs
 * @param diagnoser The diagnoser to report to
 * @returns true or false, false is any error was found*/
export declare function mode_camerashake_diagnose(value: Types.OffsetWord, diagnoser: DiagnosticsBuilder): boolean;
/**Diagnoses the value as a value in the mode: clone
 * @param value The value to evualate, needs the offset to report bugs
 * @param diagnoser The diagnoser to report to
 * @returns true or false, false is any error was found*/
export declare function mode_clone_diagnose(value: Types.OffsetWord, diagnoser: DiagnosticsBuilder): boolean;
/**Diagnoses the value as a value in the mode: difficulty
 * @param value The value to evualate, needs the offset to report bugs
 * @param diagnoser The diagnoser to report to
 * @returns true or false, false is any error was found*/
export declare function mode_difficulty_diagnose(value: Types.OffsetWord, diagnoser: DiagnosticsBuilder): boolean;
/**Diagnoses the value as a value in the mode: fill
 * @param value The value to evualate, needs the offset to report bugs
 * @param diagnoser The diagnoser to report to
 * @returns true or false, false is any error was found*/
export declare function mode_fill_diagnose(value: Types.OffsetWord, diagnoser: DiagnosticsBuilder): boolean;
/**Diagnoses the value as a value in the mode: gamemode
 * @param value The value to evualate, needs the offset to report bugs
 * @param diagnoser The diagnoser to report to
 * @returns true or false, false is any error was found*/
export declare function mode_gamemode_diagnose(value: Types.OffsetWord, diagnoser: DiagnosticsBuilder): boolean;
/**Diagnoses the value as a value in the mode: locatefeature
 * @param value The value to evualate, needs the offset to report bugs
 * @param diagnoser The diagnoser to report to
 * @returns true or false, false is any error was found*/
export declare function mode_locatefeature_diagnose(value: Types.OffsetWord, diagnoser: DiagnosticsBuilder): boolean;
/**Diagnoses the value as a value in the mode: mask
 * @param value The value to evualate, needs the offset to report bugs
 * @param diagnoser The diagnoser to report to
 * @returns true or false, false is any error was found*/
export declare function mode_mask_diagnose(value: Types.OffsetWord, diagnoser: DiagnosticsBuilder): boolean;
/**Diagnoses the value as a value in the mode: mirror
 * @param value The value to evualate, needs the offset to report bugs
 * @param diagnoser The diagnoser to report to
 * @returns true or false, false is any error was found*/
export declare function mode_mirror_diagnose(value: Types.OffsetWord, diagnoser: DiagnosticsBuilder): boolean;
/**Diagnoses the value as a value in the mode: musicrepeat
 * @param value The value to evualate, needs the offset to report bugs
 * @param diagnoser The diagnoser to report to
 * @returns true or false, false is any error was found*/
export declare function mode_musicrepeat_diagnose(value: Types.OffsetWord, diagnoser: DiagnosticsBuilder): boolean;
/**Diagnoses the value as a value in the mode: oldblock
 * @param value The value to evualate, needs the offset to report bugs
 * @param diagnoser The diagnoser to report to
 * @returns true or false, false is any error was found*/
export declare function mode_oldblock_diagnose(value: Types.OffsetWord, diagnoser: DiagnosticsBuilder): boolean;
/**Diagnoses the value as a value in the mode: operation
 * @param value The value to evualate, needs the offset to report bugs
 * @param diagnoser The diagnoser to report to
 * @returns true or false, false is any error was found*/
export declare function mode_operation_diagnose(value: Types.OffsetWord, diagnoser: DiagnosticsBuilder): boolean;
/**Diagnoses the value as a value in the mode: replace
 * @param value The value to evualate, needs the offset to report bugs
 * @param diagnoser The diagnoser to report to
 * @returns true or false, false is any error was found*/
export declare function mode_replace_diagnose(value: Types.OffsetWord, diagnoser: DiagnosticsBuilder): boolean;
/**Diagnoses the value as a value in the mode: ridefill
 * @param value The value to evualate, needs the offset to report bugs
 * @param diagnoser The diagnoser to report to
 * @returns true or false, false is any error was found*/
export declare function mode_ridefill_diagnose(value: Types.OffsetWord, diagnoser: DiagnosticsBuilder): boolean;
/**Diagnoses the value as a value in the mode: riderules
 * @param value The value to evualate, needs the offset to report bugs
 * @param diagnoser The diagnoser to report to
 * @returns true or false, false is any error was found*/
export declare function mode_riderules_diagnose(value: Types.OffsetWord, diagnoser: DiagnosticsBuilder): boolean;
/**Diagnoses the value as a value in the mode: rotation
 * @param value The value to evualate, needs the offset to report bugs
 * @param diagnoser The diagnoser to report to
 * @returns true or false, false is any error was found*/
export declare function mode_rotation_diagnose(value: Types.OffsetWord, diagnoser: DiagnosticsBuilder): boolean;
/**Diagnoses the value as a value in the mode: save
 * @param value The value to evualate, needs the offset to report bugs
 * @param diagnoser The diagnoser to report to
 * @returns true or false, false is any error was found*/
export declare function mode_save_diagnose(value: Types.OffsetWord, diagnoser: DiagnosticsBuilder): boolean;
/**Diagnoses the value as a value in the mode: selectorattribute
 * @param value The value to evualate, needs the offset to report bugs
 * @param diagnoser The diagnoser to report to
 * @returns true or false, false is any error was found*/
export declare function mode_selectorattribute_diagnose(value: Types.OffsetWord | SelectorAttribute, diagnoser: DiagnosticsBuilder): boolean;
/**Diagnoses the value as a value in the mode: selectortype
 * @param value The value to evualate, needs the offset to report bugs
 * @param diagnoser The diagnoser to report to
 * @returns true or false, false is any error was found*/
export declare function mode_selectortype_diagnose(value: Types.OffsetWord, diagnoser: DiagnosticsBuilder): boolean;
/**Diagnoses the value as a value in the mode: slottype
 * @param value The value to evualate, needs the offset to report bugs
 * @param diagnoser The diagnoser to report to
 * @returns true or false, false is any error was found*/
export declare function mode_slottype_diagnose(value: Types.OffsetWord, diagnoser: DiagnosticsBuilder): boolean;
/**Diagnoses the value as a value in the mode: slotid
 * @param value The value to evualate, needs the offset to report bugs
 * @param diagnoser The diagnoser to report to
 * @returns true or false, false is any error was found*/
export declare function mode_slotid_diagnose(value: Types.OffsetWord, Com: Command, diagnoser: DiagnosticsBuilder): boolean;
/**Diagnoses the value as a value in the mode: structureanimation
 * @param value The value to evualate, needs the offset to report bugs
 * @param diagnoser The diagnoser to report to
 * @returns true or false, false is any error was found*/
export declare function mode_structureanimation_diagnose(value: Types.OffsetWord, diagnoser: DiagnosticsBuilder): boolean;
/**Diagnoses the value as a value in the mode: teleportrules
 * @param value The value to evualate, needs the offset to report bugs
 * @param diagnoser The diagnoser to report to
 * @returns true or false, false is any error was found*/
export declare function mode_teleportrules_diagnose(value: Types.OffsetWord, diagnoser: DiagnosticsBuilder): boolean;
/**Diagnoses the value as a value in the mode: time
 * @param value The value to evualate, needs the offset to report bugs
 * @param diagnoser The diagnoser to report to
 * @returns true or false, false is any error was found*/
export declare function mode_time_diagnose(value: Types.OffsetWord, diagnoser: DiagnosticsBuilder): boolean;
