import { MolangCarrier } from "bc-minecraft-bedrock-project/lib/src/Lib/Types/Carrier/Carrier";
import { Types } from "bc-minecraft-bedrock-types";
import { Molang, Using } from "bc-minecraft-molang";
import { DiagnosticsBuilder } from "../../Types/DiagnosticsBuilder/DiagnosticsBuilder";
export declare type OwnerType = "block" | "entity" | "item" | "feature" | "particle" | "animation" | "animation_controller" | "render_controller";
declare type MCarrier = Types.Identifiable & MolangCarrier<Molang.MolangSet | Molang.MolangFullSet>;
/**Diagnoses the given molang sets, the using party checks upon the definer if they have setup properly
 * @param using The set of molang data that is being used
 * @param definer The set of molang data that is defined
 * @param diagnoser The diagnoser to report to*/
export declare function diagnose_molang_implementation(user: MCarrier, owner: MCarrier, ownerType: OwnerType, diagnoser: DiagnosticsBuilder): void;
/**Diagnoses the given molang sets, the using party checks upon the definer if they have setup properly
 * @param using The set of molang data that is being used
 * @param definer The set of molang data that is defined
 * @param diagnoser The diagnoser to report to*/
export declare function diagnose_molang(using: string, owner: OwnerType, diagnoser: DiagnosticsBuilder): void;
/**
 *
 * @param using
 * @param diagnoser
 * @param owner
 */
export declare function diagnose_molang_query_using(using: Using<string> | string, diagnoser: DiagnosticsBuilder): void;
/**
 *
 * @param using
 * @param diagnoser
 * @param owner
 */
export declare function diagnose_molang_math_using(using: Using<string> | string, diagnoser: DiagnosticsBuilder): void;
export {};
