"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.has_animation_controller = exports.animation_controller_diagnose_implementation = void 0;
const bc_minecraft_bedrock_vanilla_data_1 = require("bc-minecraft-bedrock-vanilla-data");
const Severity_1 = require("../../../Types/DiagnosticsBuilder/Severity");
const Definitions_1 = require("../../Definitions");
const Animation_Controllers_1 = require("../../Minecraft/Animation Controllers");
/**
 *
 * @param id
 * @param data
 * @param diagnoser
 */
function animation_controller_diagnose_implementation(controllerid, user, ownerType, diagnoser) {
    if (has_animation_controller(controllerid, diagnoser)) {
        const controller = diagnoser.context.getCache().ResourcePacks.animation_controllers.get(controllerid);
        if (!controller)
            return;
        (0, Animation_Controllers_1.general_animation_controllers_implementation)(controller, user, ownerType, diagnoser);
    }
    //TODO add particle check
    //TODO add sound check
}
exports.animation_controller_diagnose_implementation = animation_controller_diagnose_implementation;
/**
 *
 * @param id
 * @param diagnoser
 * @returns
 */
function has_animation_controller(id, diagnoser) {
    const cache = diagnoser.context.getCache();
    //Project has animation controller
    if (cache.ResourcePacks.animation_controllers.has(id))
        return true;
    const edu = (0, Definitions_1.education_enabled)(diagnoser);
    //Vanilla has animation controller
    if (bc_minecraft_bedrock_vanilla_data_1.MinecraftData.ResourcePack.hasAnimationController(id, edu))
        return true;
    //Nothing then report error
    diagnoser.Add(`"${id}"`, `Cannot find resourcepack animation controller: ${id}`, Severity_1.DiagnosticSeverity.error, "resourcepack.animation_controller.missing");
    return false;
}
exports.has_animation_controller = has_animation_controller;
//# sourceMappingURL=diagnostics.js.map