"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Diagnose = void 0;
const bc_minecraft_bedrock_project_1 = require("bc-minecraft-bedrock-project");
const Animation_Controllers_1 = require("../../Minecraft/Animation Controllers");
const Json_1 = require("../../Json/Json");
const diagnostics_1 = require("../../Molang/diagnostics");
/**Diagnoses the given document as an animation controller
 * @param doc The text document to diagnose
 * @param diagnoser The diagnoser builder to receive the errors*/
function Diagnose(doc, diagnoser) {
    //Check molang
    (0, diagnostics_1.diagnose_molang)(doc.getText(), "animation_controller", diagnoser);
    const controllers = Json_1.Json.LoadReport(doc, diagnoser);
    if (!bc_minecraft_bedrock_project_1.Internal.ResourcePack.AnimationControllers.is(controllers))
        return;
    //Transition check
    (0, Animation_Controllers_1.general_animation_controllers)(controllers, diagnoser);
    //TODO add rp animation controller diagnostics
}
exports.Diagnose = Diagnose;
//# sourceMappingURL=entry.js.map