"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.has_animation = exports.animation_diagnose_implementation = void 0;
const bc_minecraft_bedrock_vanilla_data_1 = require("bc-minecraft-bedrock-vanilla-data");
const Severity_1 = require("../../../Types/DiagnosticsBuilder/Severity");
const Definitions_1 = require("../../Definitions");
const diagnostics_1 = require("../../Molang/diagnostics");
/**
 *
 * @param id
 * @param data
 * @param diagnoser
 */
function animation_diagnose_implementation(anim_id, user, ownerType, diagnoser) {
    if (has_animation(anim_id, diagnoser)) {
        //Project has animation
        const anim = diagnoser.context.getCache().BehaviorPacks.animations.get(anim_id);
        if (!anim)
            return;
        (0, diagnostics_1.diagnose_molang_implementation)(anim, user, ownerType, diagnoser);
    }
    //TODO add particle check
    //TODO add sound check
}
exports.animation_diagnose_implementation = animation_diagnose_implementation;
/**
 *
 * @param id
 * @param diagnoser
 * @returns
 */
function has_animation(id, diagnoser) {
    const cache = diagnoser.context.getCache();
    //Project has render controller
    if (cache.ResourcePacks.animations.has(id))
        return true;
    const edu = (0, Definitions_1.education_enabled)(diagnoser);
    //Vanilla has render controller
    if (bc_minecraft_bedrock_vanilla_data_1.MinecraftData.ResourcePack.hasAnimation(id, edu))
        return true;
    //Nothing then report error
    diagnoser.Add(`"${id}"`, `Cannot find resourcepack animation: ${id}`, Severity_1.DiagnosticSeverity.error, "resourcepack.animation.missing");
    return false;
}
exports.has_animation = has_animation;
//# sourceMappingURL=diagnostics.js.map