"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResourcePack = void 0;
const bc_minecraft_bedrock_project_1 = require("bc-minecraft-bedrock-project");
const Animation = require("./Animation/entry");
const AnimationController = require("./Animation Controllers/entry");
const Attachable = require("./Attachable/entry");
const BiomesClient = require("./Biomes Client/entry");
const Block = require("./Block/entry");
const Entity = require("./Entity/entry");
const Fog = require("./Fog/entry");
const Item = require("./Item/entry");
const Manifest = require("./Manifest/entry");
const Material = require("./Material/entry");
const Model = require("./Model/entry");
const MusicDefinitions = require("./Music Definitions/entry");
const Particle = require("./Particle/entry");
const RenderController = require("./Render Controller/entry");
const Sounds = require("./Sounds/entry");
const SoundsDefinitions = require("./Sounds Definitions/entry");
const Texture = require("./Texture/entry");
const TextureAtlas = require("./Texture Atlas/entry");
var ResourcePack;
(function (ResourcePack) {
    function Process(doc, diagnoser) {
        const Type = bc_minecraft_bedrock_project_1.ResourcePack.FileType.detect(doc.uri);
        switch (Type) {
            case bc_minecraft_bedrock_project_1.ResourcePack.FileType.animation:
                Animation.Diagnose(doc, diagnoser);
                break;
            case bc_minecraft_bedrock_project_1.ResourcePack.FileType.animation_controller:
                AnimationController.Diagnose(doc, diagnoser);
                break;
            case bc_minecraft_bedrock_project_1.ResourcePack.FileType.attachable:
                Attachable.Diagnose(doc, diagnoser);
                break;
            case bc_minecraft_bedrock_project_1.ResourcePack.FileType.biomes_client:
                BiomesClient.Diagnose(doc, diagnoser);
                break;
            case bc_minecraft_bedrock_project_1.ResourcePack.FileType.block:
                Block.Diagnose(doc, diagnoser);
                break;
            case bc_minecraft_bedrock_project_1.ResourcePack.FileType.entity:
                Entity.Diagnose(doc, diagnoser);
                break;
            case bc_minecraft_bedrock_project_1.ResourcePack.FileType.fog:
                Fog.Diagnose(doc, diagnoser);
                break;
            case bc_minecraft_bedrock_project_1.ResourcePack.FileType.item:
                Item.Diagnose(doc, diagnoser);
                break;
            case bc_minecraft_bedrock_project_1.ResourcePack.FileType.manifest:
                Manifest.Diagnose(doc, diagnoser);
                break;
            case bc_minecraft_bedrock_project_1.ResourcePack.FileType.material:
                Material.Diagnose(doc, diagnoser);
                break;
            case bc_minecraft_bedrock_project_1.ResourcePack.FileType.model:
                Model.Diagnose(doc, diagnoser);
                break;
            case bc_minecraft_bedrock_project_1.ResourcePack.FileType.music_definitions:
                MusicDefinitions.Diagnose(doc, diagnoser);
                break;
            case bc_minecraft_bedrock_project_1.ResourcePack.FileType.particle:
                Particle.Diagnose(doc, diagnoser);
                break;
            case bc_minecraft_bedrock_project_1.ResourcePack.FileType.render_controller:
                RenderController.Diagnose(doc, diagnoser);
                break;
            case bc_minecraft_bedrock_project_1.ResourcePack.FileType.sounds:
                Sounds.Diagnose(doc, diagnoser);
                break;
            case bc_minecraft_bedrock_project_1.ResourcePack.FileType.sounds_definitions:
                SoundsDefinitions.Diagnose(doc, diagnoser);
                break;
            case bc_minecraft_bedrock_project_1.ResourcePack.FileType.texture:
                Texture.Diagnose(doc, diagnoser);
                break;
            case bc_minecraft_bedrock_project_1.ResourcePack.FileType.texture_flipbook_atlas:
                TextureAtlas.DiagnoseFlipbook(doc, diagnoser);
                break;
            case bc_minecraft_bedrock_project_1.ResourcePack.FileType.texture_item_atlas:
            case bc_minecraft_bedrock_project_1.ResourcePack.FileType.texture_terrain_atlas:
                TextureAtlas.DiagnoseAtlas(doc, diagnoser);
                break;
            default:
            case bc_minecraft_bedrock_project_1.ResourcePack.FileType.unknown:
                return false;
        }
        return true;
    }
    ResourcePack.Process = Process;
})(ResourcePack = exports.ResourcePack || (exports.ResourcePack = {}));
//# sourceMappingURL=ResourcePack.js.map