"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Diagnose = void 0;
const bc_minecraft_bedrock_project_1 = require("bc-minecraft-bedrock-project");
const Json_1 = require("../../Json/Json");
const Manifest_1 = require("../../Minecraft/Manifest");
/**Diagnoses the given document as an bp manifest
 * @param doc The text document to diagnose
 * @param diagnoser The diagnoser builder to receive the errors*/
function Diagnose(doc, diagnoser) {
    const manifest = Json_1.Json.LoadReport(doc, diagnoser);
    if (!Json_1.Json.TypeCheck(manifest, diagnoser, "manifest", "minecraft.manifest.invalid", bc_minecraft_bedrock_project_1.Internal.Manifest.is))
        return;
    (0, Manifest_1.minecraft_manifest_diagnose)(manifest, diagnoser);
    (0, Manifest_1.minecraft_manifest_required_module)(manifest, diagnoser, "skin_pack");
}
exports.Diagnose = Diagnose;
//# sourceMappingURL=entry.js.map